curl --request POST \
--url https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/redemption-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "0x3333333333333333333333333333333333333333",
"receiver": "0x3333333333333333333333333333333333333333",
"shares": "50000000000000000000",
"minAssetsOut": "49500000"
}
'import requests
url = "https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/redemption-plan"
payload = {
"owner": "0x3333333333333333333333333333333333333333",
"receiver": "0x3333333333333333333333333333333333333333",
"shares": "50000000000000000000",
"minAssetsOut": "49500000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owner: '0x3333333333333333333333333333333333333333',
receiver: '0x3333333333333333333333333333333333333333',
shares: '50000000000000000000',
minAssetsOut: '49500000'
})
};
fetch('https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/redemption-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plan": {
"mode": "requested",
"action": "request_redeem",
"parameters": {
"owner": "0x3333333333333333333333333333333333333333",
"receiver": "0x3333333333333333333333333333333333333333",
"shares": "50000000000000000000",
"minAssetsOut": "49500000"
},
"reason": "insufficient_synchronous_liquidity",
"asyncLegs": [
{
"sourceId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"sourceName": "Invesco USTB tokenized by Superstate",
"expectedAssets": "50000000",
"expectedProcessingSeconds": 86400,
"maxProcessingSeconds": 259200
}
],
"timing": {
"expectedSeconds": 86400,
"maximumSeconds": 259200
},
"directTransaction": {
"to": "0x2222222222222222222222222222222222222222",
"data": "0x12345678",
"value": "0"
}
}
}{
"error": "microvaults_not_enabled",
"message": "MicroVaults are not enabled for this organization"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "microvaults_not_enabled",
"message": "MicroVaults are not enabled for this organization"
}Plan a MicroVault redemption
Determines whether current liquidity supports an instant redemption or which underlying source exits must complete before claim.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89aAbB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$"8f4c52d7-62ab-4db9-a964-92f481f6b851"
Body
Valid nonzero EVM EOA or contract address. Mixed-case values must use a valid EIP-55 checksum.
42^0x(?!0{40}$)[0-9a-fA-F]{40}$"0x3bf25a73a1f1033c2d50ac65f3c9d6a44123db81"
Valid nonzero EVM EOA or contract address. Mixed-case values must use a valid EIP-55 checksum.
42^0x(?!0{40}$)[0-9a-fA-F]{40}$"0x3bf25a73a1f1033c2d50ac65f3c9d6a44123db81"
Unsigned base-10 integer string. Asset and share amounts use token base units.
^(0|[1-9][0-9]*)$"1000000"
Unsigned base-10 integer string. Asset and share amounts use token base units.
^(0|[1-9][0-9]*)$"1000000"
Response
Immediate or asynchronous redemption route for the requested shares.
Show child attributes
Show child attributes